Page MenuHomePhabricator

Enable ContentTranslation in the French Wikipedia
Closed, ResolvedPublic

Description

According to https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Sondage/Activation_de_l%27outil_de_traduction please enable that new tool.

We plan to translate the most from English, German, Italian and Spanish but we wish to translate from the largest possible range of languages.

Thanks ;-)

Event Timeline

Mattho69 created this task.Mar 6 2015, 11:18 PM
Mattho69 raised the priority of this task from to Needs Triage.
Mattho69 updated the task description. (Show Details)
Mattho69 added a project: ContentTranslation.
Mattho69 added a subscriber: Mattho69.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2015, 11:18 PM
Mattho69 updated the task description. (Show Details)Mar 6 2015, 11:32 PM
Mattho69 set Security to None.
Ltrlg added a subscriber: Ltrlg.Mar 7 2015, 10:00 AM
0x010C added a subscriber: 0x010C.Mar 7 2015, 11:29 PM
KartikMistry added a subscriber: KartikMistry.

Thank you for filing the ticket. We will implement this is 2 stages:

  1. On Wikimedia beta server (like http://en.wikipedia.beta.wmflabs.org/wiki/Special:ContentTranslation) first. Here you can test the tool for a few days and if no major bugs are found then after a week (generally) we will deploy on frwiki
  2. On the French Wikipedia, we will deploy as a beta-feature (provided no bugs are found during the tests). We will make the announcements prior to deployment.
santhosh triaged this task as Normal priority.Mar 10 2015, 11:52 AM
Arrbee moved this task from Backlog to Sprint 84 on the ContentTranslation-Release4 board.
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-84 board.Mar 11 2015, 10:04 AM

Claiming myself as of now, but we've to check https://www.mediawiki.org/wiki/Content_translation/Deployment_Plan/Dev_Checklist before we go ahead first.

greg added a subscriber: greg.Mar 12 2015, 5:03 PM

ETA-ish?

Arrbee added a comment.EditedMar 13 2015, 3:56 AM

ETA-ish?

Currently waiting on https://gerrit.wikimedia.org/r/#/c/195577/ to be completed. Once thats done we'll be able to enable it on beta-labs for testing and will target a date ~5 days later for deployment on production. Current ETA is week of March 30th. It may be earlier, but definitely not before next week. Thanks.

Trizek added a subscriber: Trizek.Mar 13 2015, 8:35 AM
Elitre added a subscriber: Elitre.Mar 23 2015, 3:40 PM
Restricted Application added a project: Notice. · View Herald TranscriptMar 27 2015, 11:17 PM

Thanks ! Translation done.
The link http://en.wikipedia.beta.wmflabs.org/wiki/Special:ContentTranslation is broken on the announcement.

Thanks ! Translation done.
The link http://en.wikipedia.beta.wmflabs.org/wiki/Special:ContentTranslation is broken on the announcement.

Hi, I just added a note in there. The users will have to log in and enable the beta-feature to see the tool. Sorry about this. Thanks for pointing it out.

Change 200531 had a related patch set uploaded (by KartikMistry):
Enable ContentTranslation in bg, fr, mk, sl and sv

https://gerrit.wikimedia.org/r/200531

Change 200533 had a related patch set uploaded (by KartikMistry):
CX: Enable ContentTranslation for bg, fr, mk, sh, sl pairs

https://gerrit.wikimedia.org/r/200533

Change 200531 merged by jenkins-bot:
Enable ContentTranslation in bg, fr, mk, sh and sl

https://gerrit.wikimedia.org/r/200531

Change 200533 merged by Filippo Giunchedi:
CX: Enable ContentTranslation for bg, fr, mk, sh, sl pairs

https://gerrit.wikimedia.org/r/200533

KartikMistry moved this task from In Review to Done on the LE-Sprint-84 board.Apr 1 2015, 2:44 AM
KartikMistry closed this task as Resolved.Apr 1 2015, 3:11 AM
Feldo removed a subscriber: Feldo.Apr 1 2015, 6:05 PM
gpaumier moved this task from Backlog to Triaged on the Notice board.Apr 3 2015, 9:06 PM
gpaumier moved this task from Triaged to Archive on the Notice board.Apr 9 2015, 5:45 PM
Mjbmr moved this task from Backlog to Done on the Wikimedia-Extension-setup board.May 7 2015, 4:29 PM